Package: groovy.lang

## [Java] Class Tuple2<T1, T2>

- groovy.lang.Tuple2

- Represents a list of 2 typed Objects.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Tuple2 (T1 first, T2 second)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `T1` | `getFirst()`
    `` | `T2` | `getSecond()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Tuple` | `equals, get, hashCode, size, subList`

    `class AbstractList`

    `remove, get, equals, hashCode, indexOf, clear, lastIndexOf, add, add, subList, iterator, addAll, set, listIterator, listIterator, remove, size, toString, isEmpty, toArray, toArray, contains, addAll, removeAll, retainAll, containsAll, getClass, notify, notifyAll, wait, wait, wait, toArray, stream, spliterator, removeIf, parallelStream, forEach, replaceAll, sort, getFirst, getLast, addFirst, addLast, removeFirst, removeLast, reversed, reversed`

- - ### Constructor Detail

    - #### public Tuple2(T1 first, T2 second)

  - ### Method Detail

    - #### @SuppressWarnings("unchecked") public T1 getFirst()

    - #### @SuppressWarnings("unchecked") public T2 getSecond()